<?xml version="1.0" encoding="utf-8"?>
<configuration>
	<configSections>
		<section name="nlog" type="NLog.Config.ConfigSectionHandler, NLog"/>
	</configSections>
	<startup>
		<supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2"/>
	</startup>
	<appSettings>
		<add key="synchronizationApiBaseAddress" value=""/>
		<add key="localDatabaseServer" value=""/>
		<add key="localDatabaseInitialCatalog" value=""/>
		<add key="localDatabaseUsername" value=""/>
		<add key="localDatabasePassword" value=""/>
		<add key="localDeviceId" value=""/>
		<add key="localDocType" value=""/>
		<add key="fileStorageRootFolder" value="C:\PantheonFiles"/>
		<add key="databaseCacheStorageFolder" value="SynchronizationDataCache"/>
		<add key="synchronizationApiUsername" value=""/>
		<add key="synchronizationApiPassword" value=""/>
	</appSettings>
	<!--NLOG CONFIG-->
	<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.nlog-project.org/schemas/NLog.xsd NLog.xsd" autoReload="true" throwExceptions="false" internalLogLevel="Off" internalLogFile="c:\temp\nlog-internal.log">
		<targets>
			<target xsi:type="FallbackGroup" name="db-file" returnToFirstOnSuccess="true">
				<target xsi:type="Database" name="db" dbUserName="" dbProvider="System.Data.SqlClient" useTransactions="true" keepConnection="true" dbDatabase="" dbPassword="" dbHost="" commandText="insert into [tPA_SyncTransferLog] ([acTableName],[acMessage],[acException],[acType],[acData],[adCreated],[acClientId]) VALUES (@tableName, @message, @exception, @type, @data, GETDATE(), @clientId);">
					<parameter name="@tableName" layout="${event-properties:item=tableName}"/>
					<parameter name="@message" layout="${message}"/>
					<parameter name="@exception" layout="${event-properties:item=exception}"/>
					<parameter name="@type" layout="${level}"/>
					<parameter name="@data" layout="${event-properties:item=data}"/>
					<parameter name="@clientId" layout="${event-properties:item=clientId}"/>
				</target>
				<target xsi:type="File" name="file" fileName="c:\temp\logs\${shortdate}.log" layout="${longdate} ${uppercase:${level}} ${message} ${event-properties:item=tableName} ${event-properties:item=exception} ${event-properties:item=data} ${event-properties:item=clientId}"/>
			</target>
			<target xsi:type="Debugger" name="debugConsole" layout="${longdate} ${callsite} ${level} ${message}"/>
			<target xsi:type="File" name="f" fileName="${basedir}/logs/${shortdate}.log" layout="${longdate} ${uppercase:${level}} ${message}"/>
		</targets>
		<rules>
			<logger name="PantheonApi.Managers.Pantheon.SynchronizationManager" minlevel="Trace" writeTo="db-file"/>
			<logger name="*" minlevel="Trace" writeTo="debugConsole"/>
			<!-- <logger name="file" minlevel="Info" writeTo="file" /> -->
		</rules>
	</nlog>
</configuration>
